%define         major                    0
%define         libname                  %mklibname %{name} %{major}
%define         develname                %mklibname %{name} -d
%define         staticdevelname          %mklibname %{name} -d -s

%define         extra_flags              "-lm -lpthread"

Name:           CCfits
Version:        2.5
Release:        %mkrel 3
Summary:        An object oriented interface to the cfitsio library
License:        BSD-like
Group:          System/Libraries

URL:            http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/
Source0:        http://heasarc.gsfc.nasa.gov/docs/software/fitsio/ccfits/%{name}-%{version}.tar.gz
#to remove -rpath in linking, sniffed from Fedora (Sergio Pascual)
Patch0:         CCfits-2.5-norpath.patch


BuildRequires:  pkgconfig(pkg-config)
BuildRequires:  gcc-c++
BuildRequires:  gcc-gfortran
%ifnarch %arm
BuildRequires:  quadmath-devel
%endif
BuildRequires:  pkgconfig(cfitsio)


%description
CCfits is an object oriented interface to the cfitsio library. It is
designed to make the capabilities of cfitsio available to programmers
working in C++. It is written in ANSI C++ and implemented using the
C++ Standard Library with namespaces, exception handling, and member
template functions.


%package -n %{libname}
Summary:        CCfits library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       lib%{name} = %{version}-%{release}

%description -n %{libname}
CCfits is an object oriented interface to the cfitsio library. It is
designed to make the capabilities of cfitsio available to programmers
working in C++. It is written in ANSI C++ and implemented using the
C++ Standard Library with namespaces, exception handling, and member
template functions.


%package -n %{develname}
Summary:        Headers, libraries, & docs for the CCfits library
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Requires:       cfitsio-devel
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains the additional header files, documentation, and
libraries you need to develop programs using the CCfits library.





%prep
%setup -q -n %{name}
%autopatch -p1


%build
export CXXFLAGS=%extra_flags
export LDFLAGS=%extra_flags
%configure2_5x

%make



%install
%makeinstall_std

find %{buildroot}%{_libdir} -name *.la -delete
rm -fr %{buildroot}/%{_bindir}/cookbook

%files -n %{libname}
%doc CHANGES
%{_libdir}/*.so.%{major}{,.*}


%files -n %{develname}
%{_includedir}/%{name}/*.h
%{_includedir}/%{name}/CCfits
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so




%changelog
* Tue Nov 22 2016 eatdirt <eatdirt> 2.5-3.mga6
+ Revision: 1068788
- Rebuild for new cfitsio

* Wed Mar 09 2016 eatdirt <eatdirt> 2.5-2.mga6
+ Revision: 988577
- Rebuild for new cfitsio

* Tue Jan 26 2016 eatdirt <eatdirt> 2.5-1.mga6
+ Revision: 927914
- Upgrade to version 2.5

* Sat Nov 28 2015 neoclust <neoclust> 2.4-13.mga6
+ Revision: 906778
- quadmath-devel is not available on ARM

* Wed Oct 15 2014 umeabot <umeabot> 2.4-12.mga6
+ Revision: 749940
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.4-11.mga5
+ Revision: 686510
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 2.4-10.mga5
+ Revision: 677640
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 tv <tv> 2.4-9.mga5
+ Revision: 665731
- drop BR already pulled by BS
- drop uneede uClibc-devel BR

* Fri Feb 28 2014 eatdirt <eatdirt> 2.4-8.mga5
+ Revision: 597755
- Rebuild to fix broken deps to libcfitsio1

* Thu Feb 27 2014 eatdirt <eatdirt> 2.4-7.mga5
+ Revision: 597681
- Rebuild for new cfitsio

* Sat Oct 19 2013 umeabot <umeabot> 2.4-6.mga4
+ Revision: 530059
- Mageia 4 Mass Rebuild

* Tue Jul 16 2013 eatdirt <eatdirt> 2.4-5.mga4
+ Revision: 454931
- Rebuild for cfitsio 3.350

* Fri Jun 07 2013 eatdirt <eatdirt> 2.4-4.mga4
+ Revision: 438814
- Rebuilt for broken deps fix

* Thu Jun 06 2013 eatdirt <eatdirt> 2.4-3.mga4
+ Revision: 438559
- rebuilt for cfitsio 3.340

* Fri Jan 11 2013 umeabot <umeabot> 2.4-2.mga3
+ Revision: 345056
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 10 2012 eatdirt <eatdirt> 2.4-1.mga3
+ Revision: 269255
- imported package CCfits

